API Diff between 1.0.0-beta2 and 3.0.0-beta6050
219 Additions
74 Removals
Autodesk.DesignScript.Geometry
-
public class Application : IExtensionApplication
-
public class BoundingBox : DesignScriptEntity
-
public class CoEdge : DesignScriptEntity
-
public class Curve : Geometry
- public static Curve ByBlendBetweenCurves(Curve curve1, Curve curve2, bool endOrStart1 = true, bool endOrStart2 = false, bool isG2Continuous = false)
- public static Curve ByBlendBetweenCurves(Curve curve1, Curve curve2, bool endOrStart1 = true, bool endOrStart2 = false)
- public CoordinateSystem CoordinateSystemAtSegmentLength(double segmentLength = 0)
- public PolyCurve Join(IEnumerable<Curve> curves)
- public PolyCurve Join(IEnumerable<Curve> curves)
- public Vector NormalAtParameter(double param = 0, bool side = false)
- public Curve[] OffsetMany(double signedDistance, Vector planeNormal)
- public double ParameterAtSegmentLength(double segmentLength = 0)
- public Curve[] ParameterTrimSegments(double[] parameters, bool discardEvenSegments = false)
- public Plane PlaneAtSegmentLength(double segmentLength = 0)
- public Point PointAtChordLength(double chordLength = 1, double parameterLocation = 0, bool forward = true)
- public Point PointAtSegmentLength(double segmentLength = 0)
- public Point[] PointsAtChordLengthFromPoint(Point point, double chordLength = 1)
- public Point[] PointsAtEqualChordLength(int divisions = 10)
- public Point[] PointsAtEqualSegmentLength(int divisions = 10)
- public Point[] PointsAtSegmentLengthFromPoint(Point point, double segmentLength = 1)
- public double SegmentLengthAtParameter(double parameter = 0)
- public double SegmentLengthBetweenParameters(double startParam = 0, double endParam = 1)
- public Curve[] SplitByParameter(double parameter = 0.5)
- public Curve[] SplitByParameter(double[] parameters)
- public Curve[] SplitByPoints(IEnumerable<Point> points)
- public Solid SweepAsSolid(Curve path, bool cutEndOff = false)
- public Curve TrimByEndParameter(double endParameter = 1)
- public Curve TrimByParameter(double startParameter = 0, double endParameter = 1)
- public Curve TrimByStartParameter(double startParameter = 0)
- public Curve[] TrimInteriorByParameter(double startParameter = 0, double endParameter = 1)
- public Curve[] TrimSegmentsByParameter(double[] parameters)
- public Curve[] TrimSegmentsByParameter(double[] parameters, bool discardEvenSegments = true)
-
public class Cylinder : Cone
-
public abstract class DesignScriptEntity : IDisposable, IGraphicItem
-
public class EllipseArc : Curve
-
public abstract class Geometry : DesignScriptEntity
-
public class HostFactory
-
public class Loop : DesignScriptEntity
-
public class PolyCurve : Curve
- public Point[] Points { get; }
- public static PolyCurve[] ByGroupedCurves(IEnumerable<Curve> curves, double joinTolerance = 0.001)
- public static PolyCurve[] ByGroupedCurves(IEnumerable<Curve> curves, double joinTolerance = 0.001, bool trimCurves = false, double trimLength = 0)
- public static PolyCurve ByJoinedCurves(IEnumerable<Curve> curves, double joinTolerance = 0.001)
- public static PolyCurve ByJoinedCurves(IEnumerable<Curve> curves, double joinTolerance = 0.001, bool trimCurves = false, double trimLength = 0)
- public static PolyCurve ByJoinedCurves(IEnumerable<Curve> curves)
- public static PolyCurve ByThickeningCurveNormal(Curve curve, double thickness, Vector normal)
- public PolyCurve Heal(double trimLength = 0)
- public Curve[] OffsetMany(double signedDistance, bool extendCircular, Vector planeNormal)
-
public class ProtoGeometryConfiguration : IProtoGeometryConfiguration
-
public class Solid : Topology
-
public class Surface : Topology
-
public class Vector : DesignScriptEntity
Autodesk.DesignScript.Geometry.TSpline
Autodesk.DesignScript.Interfaces
-
public class ConfigurationKeys
-
public interface IConfiguration
-
public interface IContextData
-
public interface IContextDataProvider
-
public interface IExecutionSession
-
public interface IExtensionApplication
-
public interface IGraphicDataProvider
-
public interface IGraphicItem
-
public interface IRenderPackage
- IEnumerable<byte> Colors { get; }
- int { get; set; }
- string Description { get; set; }
- bool DisplayLabels { get; set; }
- bool HasRenderingData { get; }
- bool IsSelected { get; set; }
- IEnumerable<int> LineStripIndices { get; }
- IEnumerable<byte> LineStripVertexColors { get; }
- IEnumerable<int> LineStripVertexCounts { get; }
- IEnumerable<double> LineStripVertices { get; }
- int LineVertexCount { get; }
- IEnumerable<int> MeshIndices { get; }
- IEnumerable<double> MeshNormals { get; }
- IEnumerable<double> MeshTextureCoordinates { get; }
- IEnumerable<byte> MeshVertexColors { get; }
- int MeshVertexCount { get; }
- IEnumerable<double> MeshVertices { get; }
- IEnumerable<int> PointIndices { get; }
- IEnumerable<byte> PointVertexColors { get; }
- int PointVertexCount { get; }
- IEnumerable<double> PointVertices { get; }
- bool RequiresPerVertexColoration { get; set; }
- void AddLineStripVertex(double x, double y, double z)
- void AddLineStripVertexColor(byte red, byte green, byte blue, byte alpha)
- void AddLineStripVertexCount(int n)
- void AddPointVertex(double x, double y, double z)
- void AddPointVertexColor(byte red, byte green, byte blue, byte alpha)
- void AddTriangleVertex(double x, double y, double z)
- void AddTriangleVertexColor(byte red, byte green, byte blue, byte alpha)
- void AddTriangleVertexNormal(double x, double y, double z)
- void AddTriangleVertexUV(double u, double v)
- void ApplyLineVertexColors(byte[] colors)
- void ApplyMeshVertexColors(byte[] colors)
- void ApplyPointVertexColors(byte[] colors)
- void Clear()
- void SetColors(byte[] colors)
-
public class TessellationParameters
Autodesk.DesignScript.Runtime
Dynamo.Events
Dynamo.Session
DynamoServices